<%= form_with model: @user, local: true do |f| %>
  <div class="row">
    <div class="<%= class_avatar(@user) %>">
      <%= display_avatar(@user) %>
      <div class="pos-ava">
        <label class="btn btn-outline-info"><i class="fas fa-user-tie"></i> <span class="user-tie">Avatar</span><%= f.file_field :avatar, hidden: true, class: "fileUpload" %></label>
      </div>
    </div>
  </div>

  <div class="row">
    <%= f.label :first_name, class: "col-xl-2 offset-xl-3 col-sm-5 col-12 mb-3 col-form-label txt-right" %>
    <div class="col-xl-4 col-md-4 col-sm-6 mb-3">
      <%= f.text_field :first_name, autocomplete: "off", class: "form-control"%>
    </div>
  </div>

  <div class="row">
    <%= f.label :last_name, class: "col-xl-2 offset-xl-3 col-sm-5 col-12 mb-3 col-form-label txt-right" %>
    <div class="col-xl-4 col-md-4 col-sm-6 mb-3">
      <%= f.text_field :last_name, autocomplete: "off", class: "form-control"%>
    </div>
  </div>

  <div class="row">
    <%= f.label :email, class: "col-xl-2 offset-xl-3 col-sm-5 col-12 mb-3 col-form-label txt-right" %>
    <div class="col-xl-4 col-md-4 col-sm-6 mb-3">
      <%= f.email_field :email, autocomplete: "off", class: "form-control"%>
    </div>
  </div>

  <div class="row password-admin-fields">
    <%= f.label :password, class: "col-xl-2 offset-xl-3 col-sm-5 col-12 mb-3 col-form-label txt-right" %>
    <div class="col-xl-4 col-md-4 col-sm-6 mb-3">
      <%= f.password_field :password, autocomplete: "off", class: "form-control", placeholder: "New password or blank" %>
    </div>
  </div>

  <% if @user.user_role? %>
  <div id="u-deact" class="row mb-3">
    <div class="col-xl-4 offset-xl-4 col-sm-12 col-12">
    <% if @user.deactivated? %>
      <i class="fas fa-user-lock"></i> Deactive User
    <% else %>
      <%= f.check_box :deactivated, {}, "1", "0" %>
      <%= f.label :deactivated, "Deactive" %>
    <% end %>
    </div>
  </div>
  <% end %>

  <% if @user.deactivated? %>
  <div class="update-password form-check mb-3">
    <input type="checkbox" class="form-check-input" id="check" /> Active <i class="fas fa-check-circle"></i>
  </div>

  <div class="row password-fields">

    <div class="col-xl-4 offset-xl-4 col-sm-12 col-12 mb-3">
      <input name="user[deactivated]" type="hidden" value="0"><input type="checkbox" value="1" name="user[deactivated]" id="user_deactivated">
      <label for="user_deactivated">Deactive</label>
    </div>

  </div>
  <% end %>

  <input type="submit" class="btn btn-outline-success save-btn" value="Save">

<% end %>